SDL_wcslcpy(3)

NAME
SDL_wcslcpy - Copy a wide string.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

size_t SDL_wcslcpy(wchar_t *dst, const wchar_t *src, size_t maxlen);

DESCRIPTION
This function copies maxlen - 1 wide characters from src to dst, then appends a null terminator.

src and dst must not overlap.

If maxlen is 0, no wide characters are copied and no null terminator is written.

FUNCTION PARAMETERS

dst The destination buffer. Must not be NULL, and must not overlap with src.

src The null-terminated wide string to copy. Must not be NULL, and must not overlap with dst.

maxlen
    The length (in wide characters) of the destination buffer.

RETURN VALUE
Returns the length (in wide characters, excluding the null terminator) of src.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_wcslcat(3)